Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
ProgHC08/ProgACMP incompatibility with Multilink FX
David S. Jul 20, 2015 at 12:29 PM (12:29 hours)
Staff: Takao Y.

  • I have a Multilink FX Rev B, ProgHC08 version 5.25, and ProgACMP version 5.21.  We've been using ProgHC08 for a while.  When I tried to use PROGACMP, it found the pod, but it couldn't program a KE06Z128M4. When I tried an older version of ProgAMP (5.04), it said the firmware had to be updated.  Then it was able to program the KE06.  However, when I tried ProgHC08, it could not program until I "updated" the firmware again, but then it will no longer program the KE06.

    Is there a way to make them co-exist, or does the Multilink FX really need different firmware for the two families?




    Comments

  • Greetings,

    Yes, you need 2 separate firmwares to work on 2 different chip architectures. This is how the USB Multilink Universal works. However, it is odd that your PROGACMP v5.21 did not firmware update, while the older 5.04 did.

    Note, the new Cyclone Universal (and Cyclone Universal FX) that is coming out soon will not have this problem. The cyclone has enough internal memory to store all firmwares and you will not need to update it all the time:
    http://www.pemicro.com/products/product_viewDetails.cfm?product_id=15320162


    Takao Yamada

    • Thank you, yes I thought it was odd that the newer ProgACMP did not detect the difference, but that answered my question of if it required re-programming the pod for each family.

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2017 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement